Add example of 'stmcrblog-file' processing.
--- a/Makefile Thu Nov 10 12:36:47 2011 +0200
+++ b/Makefile Thu Nov 10 13:32:26 2011 +0200
@@ -87,6 +87,7 @@
$(EMACS) --batch \
--eval='(let ( (generated-autoload-file "~/.emacs.d/my-lisp/autoload-my.el") ) (update-directory-autoloads "~/.emacs.d/my-lisp") )'
./.emacs-autogen.sh $(HOME)/.emacs-autogen
+ install -m 775 stmcrblog.sh $(HOME)/usr/bin/stmcrblog
.PHONY: uninstall
uninstall:
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/stmcrblog.sh Thu Nov 10 13:32:26 2011 +0200
@@ -0,0 +1,37 @@
+#!/bin/bash
+
+in=$1
+out=$2
+
+if [[ ! -f $in ]]; then
+ echo Input file not found.
+ exit 1
+fi
+if [[ -z $out ]]; then
+ echo I don\'t know where is output file...
+ exit 1
+fi
+
+{
+ echo '<html>'
+ echo '<head>'
+ echo ' <meta http-equiv="Content-Type" content="text/html; charset=utf-8">'
+ echo ' <title>Job done blog.</title>'
+ echo '</head>'
+ echo '<body>'
+ echo '<h1>Job done blog.</h1>'
+
+ echo '<ul>'
+
+ sed -e 's|^\([[:digit:]-]\+\) \([[:digit:]:]\+\) \(.*\)| <li><span style="color: green;">\1 \2</span> \3</li>|'
+
+ echo '</ul>'
+
+ echo '<address>'
+ echo ' <a href="mailto:gavenko@bifit.com.ua">Oleksandr Gavenko</a>'
+ echo ' </address>'
+ echo '</body>'
+ echo '</html>'
+
+} <$in >$out
+